--- /dev/null	Fri Sep 26 09:49:28 2014
+++ new/usr/src/pkg/manifests/system-network-mailwrapper.mf	Fri Sep 26 09:49:28 2014
@@ -0,0 +1,45 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet
+# at http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2014, Alexander Pyhalov
+#
+
+set name=pkg.fmri value=pkg:/system/network/mailwrapper@$(PKGVERS)
+set name=pkg.description \
+    value="utility to invoke appropriate MTA software based on configuration file"
+set name=pkg.summary value=mailwrapper
+set name=info.classification \
+    value="org.opensolaris.category.2008:System/Administration and Configuration"
+set name=variant.arch value=$(ARCH)
+dir path=etc group=sys
+dir path=etc/mail group=mail
+dir path=usr/bin
+dir path=usr/lib
+dir path=usr/sbin
+dir path=usr/share/man
+dir path=usr/share/man/man1m
+dir path=usr/share/man/man4
+file path=etc/mailer.conf group=sys preserve=true
+file path=usr/lib/mailwrapper mode=0555
+file path=usr/share/man/man1m/mailwrapper.1m
+file path=usr/share/man/man4/mailer.conf.4
+license usr/src/cmd/mailwrapper/THIRDPARTYLICENSE \
+    license=usr/src/cmd/mailwrapper/THIRDPARTYLICENSE
+link path=usr/bin/mailq mediator=mta mediator-implementation=mailwrapper \
+    target=../lib/mailwrapper
+link path=usr/lib/sendmail mediator=mta mediator-implementation=mailwrapper \
+    target=mailwrapper
+link path=usr/sbin/newaliases mediator=mta mediator-implementation=mailwrapper \
+    target=../lib/mailwrapper
+link path=usr/sbin/sendmail mediator=mta mediator-implementation=mailwrapper \
+    target=../lib/mailwrapper
+depend fmri=service/network/smtp/sendmail type=require
